TIX-LIST-PACKAGES(8)

NAME
tix-list-packages - list packages per their port(5) dependencies

SYNOPSIS
tix-list-packages --ports=directory [--all-packages=package-list] [--build-order] [--dependencies] packages ...

DESCRIPTION
tix-list-packages lists the named packages in sorted order using the port(5) files in the --ports directory. The ‘!’ package suffix includes its recursive mandatory build time and runtime dependencies. The ‘!!’ package suffix includes all its recursive mandatory and optional build time and runtime dependencies.

The options are as follows:

--all-packages=package-list
    The full set of ports for the purpose of --dependencies is the space separated package-list expanded normally. Dependencies are only used if they exist in this list, defaulting to all!!.

--build-order
    Order the packages in their build order respecting the BUILD_LIBRARIES variable in port(5), such that the packages can be built correctly in this order.

--dependencies
    Output the direct dependencies of the packages.

--ports=directory
    Locate the ports in this directory where every port has a subdirectory named after it containing its port(5) file.

EXIT STATUS
tix-list-packages will exit 0 on success and non-zero otherwise.

SEE ALSO
port(5), porting(7), tix-metabuild(8), tix-port(8)

HISTORY
tix-list-packages originally appeared in Sortix 1.1.